<?xml version="1.0"?>
<xsl:transform 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xmlns:dnr-ext="http://www.doj.state.wi.us/dles/cib/dnr/response/extension" 
	xmlns:doj-ext="http://www.doj.state.wi.us/dles/cib/extension" 
	xmlns:doj="http://www.doj.state.wi.us/dles/cib/dnr/response" 
	xmlns:j="http://www.it.ojp.gov/jxdm/3.0.2"
	xmlns:xalan="http://xml.apache.org/xslt" 
	exclude-result-prefixes="xsl xsi dnr-ext doj j xalan">
	
	<xsl:import href="../common.xsl" />
	<xsl:import href="dnr_common.xsl" />
	<xsl:import href="../util.xsl" />
	
	<xsl:param name="from" />
	<xsl:param name="responseId">
		<xsl:value-of select="doj:DNRResponseDocument/@doj-ext:responseID" />
	</xsl:param>
	
	<xsl:output method="html" 
				version="4.01" 
				encoding="UTF-8" 
				omit-xml-declaration="yes" 
				doctype-public="-//W3C//DTD HTML 4.01//EN" 
				doctype-system="http://www.w3.org/TR/html4/strict.dtd" 
				indent="yes" 
				media-type="text/html" 
				xalan:indent-amount="2" />
	
	
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="$from='ebc'">
				<xsl:call-template name="html_main" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="html_head_extension" />
				<xsl:call-template name="html_body" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
	<xsl:template name="html_title">
		TIME <xsl:apply-templates select="@doj-ext:resultStatusText" />
	</xsl:template>
	
	
	<xsl:template name="html_body">
		<xsl:call-template name="dnrLogo" />
		<hr />
		<!-- Not all of the following will be applicable on a single response -->
		<xsl:apply-templates
			select="doj:DNRResponseDocument/doj:Result/doj:ResultText" />
	</xsl:template>
	
	
	<xsl:template match="doj:ResultText">
		<xsl:apply-templates select="." mode="header" />
	</xsl:template>
	
	
	<xsl:template match="FormattedResultText">
		<xsl:apply-templates select="." mode="header" />
		<pre class="legacytext">
			<xsl:value-of select="." disable-output-escaping="yes" />
		</pre>
	</xsl:template>
</xsl:transform>